// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Item {
    anchors.fill: parent

    Column {
        anchors.fill: parent

        Rectangle {
            width: parent.width
            height: 18
            color: "black"
}
        Rectangle {
            width: parent.width
            height: parent.height - 18
            color: "blue"


            Item {
                anchors.centerIn: parent
                height: parent.height // - 18
                width: parent.width - 8

                Column {
                    anchors.fill: parent
                    Text {
                        text: "A problem has been detected and WP emulator has been shot down to prevent damage to your phone.\n" +
                              "\n" +
                              "IRQL_NOT_LESS_OR_EQUAL\n" +
                              "\n" +
                              "If this is the first time you've seen this Stop error screen, " +
                              "restart your phone. If this screen appears again, follow these steps:\n" +
                              "\n" +
                              "Check to make sure that any new software or hardware is properly installed.\n" +
                              "If this is a new installation, ask your mobile vendor or manufacturer for any WP updates you might need.\n" +
                              "\n" +
                              "If the problems continue, disable or remove any newly installed hardware or mobile provider." +
                              "Disable BIOS memory options as caching or shadowing." +
                              "If you need to use Safe Mode you have to remove or disable WP, restart your brain, press F6 to select" +
                              "Advanced Setup Options, and then select Safe Mode.\n" +
                              "\n" +
                              "Technical information:\n"
                        font.family: "Courier"
                        font.pixelSize: 18
                        wrapMode: Text.WordWrap
                        color: "white"
                        width: parent.width
                        smooth: true
                    }

                    Text {
                        text:
                            "*** Stop: \n0x0066608E (0x00000005,0x80539c53,0x88F33c90,0x00000000)\n" +
                            "0x0F00025A (0x00000000,0x00000000,0x00FA0000,0x00000000)\n" +
                            "0x0F00025A (0x00000000,0x01000000,0x00000000,0x00006000)\n" +
                            "0x0F00025A (0x00000000,0x00000000,0x00000000,0x02000000)\n" +
                            "\n" +
                            "*** WPx:  \n0x0F00025A (0x00000000,0x00000000,0x00000000,0x02000000)"



                        smooth: true
                        font.family: "Courier"
                        font.pixelSize: 14
                        wrapMode: Text.WordWrap
                        color: "white"
                        width: parent.width
                    }
                    Text {
                        text:

                            "*** NEVERWP.DLL - Address F7905EFX base at F7900666, DateStamp 36B02A72\n"

                        smooth: true
                        font.family: "Courier"
                        font.pixelSize: 11
                        wrapMode: Text.WordWrap
                        color: "white"
                        width: parent.width
                    }
                }
                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        //       Qt.quit()
                    }
                }

            }
        }
    }
}
